:root{
	/* --main-color: #0f75bc; */
	--main-color: #013682;
	--main-color-1: #673AB7;
	--main-color-2: #5c00ff;
	--main-color-gradient: linear-gradient(0deg, #29293a 0%, #0f75bc 100%);
	--footer-color: linear-gradient(90deg, #0f75bc 0%, #29293a 100%);
}

*{
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	background: unset;
	font-family: 'Open Sans', 'Noto Sans Thai';
}

*:focus{
    outline: none;
}

body{
	background-image: url(/share/thaimeccsite/image/M_BG.jpeg);
    background-repeat: inherit;
    background-size: cover;
    background-position: bottom;
    background-attachment: fixed;
	filter: grayscale(.8);
	-webkit-filter: grayscale(.8);
}

.thaimeccsite.frontend{

}

.thaimeccsite.frontend .mainPage{
	position: relative;
	background: rgb(252 250 250 / 65%);
}

/* .thaimeccsite.frontend .mainPage::before{
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	z-index: -1;
	width: 100%;
	height: 100%;
	min-height: 100vh;
	background-image: url(/share/thaimeccsite/image/BG3.png);
	background-repeat: repeat;
	opacity: .7;
} */

select{
	font-size: 100px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button{
	-webkit-appearance: none;
	margin: 0;
}

input[type=number]{
	-moz-appearance: textfield;
}

.thaimeccsite.frontend{

}

.thaimeccsite.frontend .topBar{
	position: relative;
	background: rgb(1 54 130 / 90%);
	background: url(/share/thaimeccsite/image/BG2.jpg);
    background-size: cover;
    background-position: top;
}

.thaimeccsite.frontend .topBar .banner{
	display: flex;
	position: absolute;
    top: 0;
    width: 100%;
	z-index: 1;
}

.thaimeccsite.frontend .topBar .banner img{
	object-fit: cover;
	width: 100%;    
    max-height: 85px;
	object-position: top;
	filter: grayscale(.6);
}

.thaimeccsite.frontend .topBar .icon{
	/* position: absolute;
	top: 5px;
	z-index: 3; */
	width: 100%;
}

.thaimeccsite.frontend .topBar .icon .content{
	display: flex;
	max-width: 1200px;
	margin: auto;
}

.thaimeccsite.frontend .topBar .icon .content img{
	max-width: 130px;
    position: absolute;
    z-index: 5;
    top: 15px;
    box-shadow: 0px 0px 5px BLACK;
    border-radius: 50%;
}

.thaimeccsite.frontend .topBar .header{
	position: relative;
	z-index: 3;
	max-width: 1200px;
	margin: auto;
	padding: 10px 0;
	padding-left: 145px;
	height: 120px;
	display: flex;
	justify-content: space-between;
}

.thaimeccsite.frontend .topBar .header .text{
	font-size: .26em;
	font-weight: 600;
	color: #fff;
	max-width: 1200px;
	text-shadow: 3px 3px 5px BLACK;
	margin: auto 0;
}

.thaimeccsite.frontend .topBar .header .text .sub{
	font-weight: normal;
	font-size: .7em;
}

.thaimeccsite.frontend .topBar .menuBar{
	/* background: #fff; */
    border-bottom: 3px solid var(--main-color);
    box-shadow: 0 2px 1px 1px rgb(0 0 0 / 10%);
    color: unset !important;
    position: relative;
    z-index: 3;
	padding: 5px 0;
	padding-right: 10px;
	height: 50px;
	background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgb(204 226 255) 100%);
}

.thaimeccsite.frontend .topBar .menuBar .content{
	display: flex;
	max-width: 1200px;
	margin: auto;
	padding-left: 145px;
	height: 100%;
}

.thaimeccsite.frontend .topBar .menuBar .content .menu{
	cursor: pointer;
	font-size: .15em;
	padding: 5px 10px;
    border-radius: 20px;
	display: flex;
    flex-direction: column;
    justify-content: center;
	color: unset;
	text-decoration: none;
	white-space: nowrap;
}

.thaimeccsite.frontend .topBar .menuBar .content .menu:hover{
	/* background: linear-gradient(150deg, rgb(0 111 183) 0%, var(--main-color) 100%);
	color: #fff; */
	color: var(--main-color);
}

.thaimeccsite.frontend .topBar .menuBar .content .menu.highlight{
	background: linear-gradient(150deg, rgb(0 111 183) 0%, var(--main-color) 100%);
	color: #fff;
}

.thaimeccsite.frontend .topBar .header .box{
	font-size: .15em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #fff;
    background: rgb(255 255 255 / 20%);
    border-radius: 20px;
    padding: 10px 15px;
    margin: auto;
	min-height: 43px;
	max-height: 43px;
}

.thaimeccsite.frontend .topBar .header .box .flag{
	display: flex;
	flex-direction: column;
	justify-content: center;
	cursor: pointer;
}

.thaimeccsite.frontend .topBar .header .box .flag img{
	height: 19px;
    width: 19px;
    border-radius: 50%;
}

.thaimeccsite.frontend .topBar .header .box .fontSize{
	display: flex;
    flex-direction: column;
    justify-content: center;
	cursor: pointer;
}

.thaimeccsite.frontend .topBar .header .box .fontSize.large{
	font-size: 1.2em;
}

.thaimeccsite.frontend .topBar .header .box .fontSize.larger{
	font-size: 1.35em;
}

.thaimeccsite.frontend .container{
	position: relative;
	max-width: 1200px;
	width: 100%;
	margin: auto;
	padding: 10px 10px;
	/* min-height: calc(100vh - 545px); */
}

.thaimeccsite.frontend .footer{
	position: relative;
}

.thaimeccsite.frontend .footer .counting{
    font-size: 1.2em;
	display: flex;
	justify-content: center;
    gap: 5px;
	background: rgb(0 0 0 / 10%);
    border-radius: 20px;
}

/* test */
.thaimeccsite.frontend .topBar .menuBar .content .menu-dropdown{
	cursor: pointer;
	font-size: .15em;
	padding: 5px 10px;
    border-radius: 20px;
	position: relative;
  	display: inline-block;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.thaimeccsite.frontend .topBar .menuBar .content .menu-dropdown div{
	white-space: nowrap;
}

.thaimeccsite.frontend .topBar .menuBar .content .menu-dropdown:hover{
	/* background: linear-gradient(150deg, rgb(0 111 183) 0%, var(--main-color) 100%);
	color: #fff; */
	color: var(--main-color);
}

.thaimeccsite.frontend .topBar .menuBar .content .menu-dropdown.highlight{
	background: linear-gradient(150deg, rgb(0 111 183) 0%, var(--main-color) 100%);
	color: #fff;
}

.thaimeccsite.frontend .container .wrapper{
    background-color: #fff;
    -webkit-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
}

.thaimeccsite.frontend .container .wrapper .header{
	padding: 20px 25px;
    border-bottom: 1px solid #e1e1e1;
	display: flex;
	justify-content: space-between;
}

.thaimeccsite.frontend .container .wrapper .topic{
	font-size: .25em;
    font-weight: bold;
    color: var(--main-color);
    border-left: 4px solid var(--main-color);
    padding-left: 10px;
}

.thaimeccsite.frontend .container .wrapper .filter{
	display: flex;
    font-size: .15em;
    gap: 10px;
    border: 1px solid #e1e1e1;
	padding: 0 15px;
    border-radius: 20px;
	box-shadow: 0 0 2px #e1e1e1;
}

.thaimeccsite.frontend .container .wrapper .filter select{
	font-size: 1em;
    border: none;
    padding: 0;
    margin: 0;
    padding-left: 10px;
    padding-right: 30px;
    border-left: 1px solid #e1e1e1;
}

.thaimeccsite.frontend .container .wrapper .filter input{
	font-size: 1em;
    border: none;
    padding: 0;
    margin: 0;
    padding-left: 10px;
    padding-right: 30px;
    border-left: 1px solid #e1e1e1;
}

.thaimeccsite.frontend .container .wrapper .filter.limit{
	padding-left: 15px;
    padding-right: 5px;
}

.thaimeccsite.frontend .container .wrapper .filter .search{
	right: -15px;
    display: flex;
    background: linear-gradient(150deg, rgb(0 111 183) 0%, var(--main-color) 100%);
    border-radius: 50%;
    padding: 10px;
    color: #fff;
	position: absolute;
	cursor: pointer;
}

.thaimeccsite.frontend .container .pageWrapper{
	background-color: #fff;
    -webkit-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
}

.thaimeccsite.frontend .container .pageWrapper .header{
	padding: 20px 25px;
    border-bottom: 1px solid #e1e1e1;
	display: flex;
	justify-content: space-between;
}

.thaimeccsite.frontend .container .pageWrapper .topic{
	font-size: .25em;
    font-weight: bold;
    color: var(--main-color);
}

.thaimeccsite.frontend .container .pageWrapper .postDate{
	display: flex;
    justify-content: flex-end;
    gap: 5px;
    font-size: .15em;
    min-width: 200px;
	color: red;
}

.thaimeccsite.frontend .container .pageWrapper .content{
	font-size: .18em;
	padding: 20px 25px;
}

.thaimeccsite.frontend .container.procurement .pageWrapper .content.ql-editor{
	font-size: 1em;
    padding: 0;
}

.thaimeccsite.frontend .container .pageWrapper .content.ql-editor a{
	color: blue !important;
	cursor: pointer;
}

.thaimeccsite.frontend .container .pageWrapper .content.ql-editor img{
	max-width: 100%;
}

.thaimeccsite.frontend .container .pageWrapper .content.ql-editor video{
	display: flex;
	margin: 0 auto !important;
}

.thaimeccsite.frontend .container .pageWrapper .content.ql-editor .wp-block-image{
	display: flex;
	justify-content: center;
}

.thaimeccsite.frontend .container .pageWrapper .image{
	display: flex;
	/* max-width: calc(100% / 3 - 7px); */
	aspect-ratio: 4/3;
	width: 100%;
	height: 100%;
}

.thaimeccsite.frontend .container .pageWrapper .image img{
	width: 100%;
	object-fit: cover;
}

.thaimeccsite.frontend .container .pageWrapper .fileLink{
	cursor: pointer;
    border: 1px solid #e1e1e1;
    border-radius: 5px;
    padding: 10px 20px;
}

.thaimeccsite.frontend .container .pageWrapper .fileLink:hover{
	color: var(--main-color);
}

.thaimeccsite.frontend .page .pageName{
	text-align: left;
	padding: 20px;
	font-size: .3em;
	font-weight: bold;
	color: var(--main-color);
	display: flex;
	/* flex-direction: column;
	justify-content: center; */
}

.thaimeccsite.frontend .page .icon_link{
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.thaimeccsite.frontend .page .icon_link svg{
	width: 20px;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content{
	position: absolute;
    background: rgb(255 255 255 / 96%);
    left: 0;
    font-size: .15em;
    top: 49px;
    width: 100%;
	box-shadow: 0 2px 1px 1px rgb(0 0 0 / 10%);
	min-height: 195px;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown{
	max-width: 1200px;
    margin: auto;
    padding: 20px;
    padding-left: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown a{
	display: block;
	padding: 5px 20px;
	max-width: 400px;
	border-radius: 20px;
	color: #666;
	font-size: 1.1em;
	overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
	text-decoration: unset;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown a:hover{
	cursor: pointer;
	color: #fff;
	background: linear-gradient(90deg, #29293a 0%, #0f75bc 100%)
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .topic{
	font-size: 1.3em;
	color: var(--main-color);
	font-weight: bold;
	padding: 5px 20px;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu{
	display: grid;
	grid-auto-columns: 300px;
	grid-auto-flow: column;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu a{
	grid-column: 1;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu a:nth-child(n + 5){
	grid-column: 2;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu a:nth-child(n + 9){
	grid-column: 3;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu a:nth-child(n + 13){
	grid-column: 4;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu a:nth-child(n + 17){
	grid-column: 5;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu a:nth-child(n + 21){
	grid-column: 6;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .icon{
	max-width: 130px;
	min-width: 130px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding: 10px;
    padding-top: 30px;
    padding-left: 0;

}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .icon img{
	width: 100%;
}

.thaimeccsite.frontend .topBar .menuBar .content .dropdown-content .dropdown .subMenu-content{
	display: flex;
	flex-direction: column;
	gap: 10px;
	width: calc(100% - 140px);
}

.thaimeccsite.frontend .slideshow{
	max-height: 400px;
	min-height: 400px;
	max-width: 100%;
	min-width: 100%;
	display: flex;
	justify-content: center;
	background: #fff;
	-webkit-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
	position: relative;
}

.thaimeccsite.frontend .slideshow img{
	max-width: 100%;
	min-width: 100%;
    max-height: 100%;
	margin: auto 0;
	object-fit: contain;
	position: absolute;
}

.thaimeccsite.frontend .slideshow .item{
	position: absolute;
	max-height: 400px;
    min-height: 400px;
    display: flex;
    gap: 20px;
    color: #fff;
    font-weight: bold;
    text-decoration: none;
    margin: auto;
	width: 100%;
	transition: opacity 1.5s ease-in-out;
    opacity: 1;
}

.thaimeccsite.frontend .slideshow .item.hide{
	opacity: 0;
}

.thaimeccsite.frontend .slideshow .item .label{
	width: 100%;
	font-size: .2em;
    text-shadow: 3px 3px 5px BLACK;
    display: flex;
    flex-direction: column;
    justify-content: center;
	text-align: center;
}

.thaimeccsite.frontend .slideshow .item .image{
	width: 100%;
	display: flex;
}

.thaimeccsite.frontend .slideshow_update{
	/* background: #fff; */
    border-top: 1px solid var(--main-color);
    font-size: .26em;
	padding: 7px 0;
    /* padding: 13px 0; */
    box-shadow: 0 2px 1px 1px rgb(0 0 0 / 10%);
	background: linear-gradient(30deg, rgb(1 53 129) 0%, rgb(83 142 215) 100%);
}

.thaimeccsite.frontend .slideshow_update img{
	/* width: 35px;
	height: 35px; */
	width: 65px;
	height: 65px;
}

.thaimeccsite.frontend .slideshow_update img.complaint{
	padding: 8px;
    background: rgb(255 255 255 / 15%);
    border-radius: 50%;
}

.thaimeccsite.frontend .slideshow:hover .slideshowPagination{
	opacity: 1;
	transition: .3s all;
}

.thaimeccsite.frontend .slideshow .slideshowPagination{
	position: absolute;
	width: 100%;
    height: 100%;
	opacity: 0;
	z-index: 2;
}

.thaimeccsite.frontend .slideshow .slideshowPagination .paginationContainer{
	display: flex;
	justify-content: space-between;
	width: 100%;
    height: 100%
}

.thaimeccsite.frontend .slideshow .slideshowPagination .paginationContainer .button{
	display: flex;
    margin: auto 0;
    background: var(--main-color);
    padding: 30px 5px;
    color: #fff;
    cursor: pointer;
}

.thaimeccsite.frontend .slideshow .slideshowPagination .paginationContainer .button svg{
	width: 20px;
	height: 20px;
}

.thaimeccsite.frontend .slideshow .slideshowPagination .paginationContainer .button:first-child{
	border-radius: 0px 10px 10px 0;
}

.thaimeccsite.frontend .slideshow .slideshowPagination .paginationContainer .button:last-child{
	border-radius: 10px 0px 0px 10px;
}

.thaimeccsite.frontend .slideshow .slideshowPagination .bullet{
	width: 100%;
    display: flex;
    gap: 5px;
    justify-content: center;
    height: 40px;
    position: absolute;
    bottom: 0;
	background: rgb(0 0 0 / 20%);
}

.thaimeccsite.frontend .slideshow .slideshowPagination .bullet .button{
	cursor: pointer;
	display: flex;
	opacity: .3;
}

.thaimeccsite.frontend .slideshow .slideshowPagination .bullet .button svg{
	width: 20px;
	height: 20px;
	margin: auto 0;
	color: #fff;
}

.thaimeccsite.frontend .slideshow .slideshowPagination .bullet .button.highlight{
	opacity: 1;
}

.thaimeccsite.frontend .topBar .menuBar .filter{
	display: flex;
    font-size: .15em;
    gap: 10px;
    border: 1px solid var(--main-color);
	padding: 0 15px;
    border-radius: 20px;
	box-shadow: 0 0 2px #e1e1e1;
	color: var(--main-color);
}

.thaimeccsite.frontend .topBar .menuBar .filter select{
	font-size: 1em;
    border: none;
    padding: 0;
    margin: 0;
    padding-left: 10px;
    padding-right: 30px;
    border-left: 1px solid #e1e1e1;
}

.thaimeccsite.frontend .topBar .menuBar .filter input{
	font-size: 1em;
    border: none;
    padding: 0;
    margin: 0;
    padding-left: 10px;
    padding-right: 30px;
    border-left: 1px solid var(--main-color);
}

.thaimeccsite.frontend .topBar .menuBar .filter.limit{
	padding-left: 15px;
    padding-right: 5px;
}

.thaimeccsite.frontend .topBar .menuBar .filter .search{
	right: -16px;
    display: flex;
    background: linear-gradient(150deg, rgb(0 111 183) 0%, var(--main-color) 100%);
    border-radius: 50%;
    padding: 9px;
    color: #fff;
	position: absolute;
	cursor: pointer;
}

.thaimeccsite.frontend .policyPopup{
	position: fixed;
    z-index: 10;
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    backdrop-filter: blur(30px) brightness(10%) saturate(50%);
	-webkit-backdrop-filter: blur(30px) brightness(10%) saturate(50%);
    left: 0;
    top: 0;
}

.thaimeccsite.frontend .landingPage{
	position: fixed;
    z-index: 10;
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    backdrop-filter: blur(30px) brightness(10%) saturate(50%);
	-webkit-backdrop-filter: blur(30px) brightness(10%) saturate(50%);
    left: 0;
    top: 0;
}

.thaimeccsite.frontend .landingPage .content{
	margin: auto;
	display: flex;
	flex-direction: column;
	gap: 40px;
}

.thaimeccsite.frontend .landingPage .content img{
	max-width: 1000px;
	max-height: 600px;
	border-radius: 5px;
}

.thaimeccsite.frontend .landingPage .label{
	color: #fff;
    background: var(--main-color-gradient);
    padding: 10px 40px;
    border-radius: 5px;
    font-size: .2em;
	cursor: pointer;
}

.thaimeccsite.frontend .container .procurement .pageWrapper .content{
	display: flex;
	flex-direction: column;
	gap: 10px;
	font-size: .15em;
	user-select: text;
}

.thaimeccsite.frontend .container .procurement .pageWrapper .content.ql-editor{
	padding: 0;
	font-size: 1em;
	display: block;
}

.thaimeccsite.frontend .container .pageWrapper .fileLink{
	/* color: unset !important; */
	text-decoration: none !important;
}

.thaimeccsite.frontend .backdrop{
	display: flex;
	position: absolute;
	width: 100%;
}

.thaimeccsite.frontend .backdrop img{
	max-width: 100%;
	min-height: 570px;
    max-height: 570px;
    object-fit: cover;
    width: 100%;
}

.thaimeccsite.frontend .dividingLine{
	background: var(--main-color);
    height: 5px;
    width: 100%;
    position: relative;
    display: flex;
    justify-content: center;
    color: #fff;
    /* box-shadow: 0px 5px 0px 5px var(--main-color-1); */
	box-shadow: 0px 5px 0px 2px var(--main-color-1);
}

.thaimeccsite.frontend .dividingLine .icon{
	position: absolute;
    background: var(--main-color);
    padding: 5px;
    width: 50px;
    border-radius: 0 0 50% 50%;
    /* box-shadow: 0px 5px 0px 5px var(--main-color-1); */
	box-shadow: 0px 5px 0px 2px var(--main-color-1);
    display: flex;
    justify-content: center;
}

.thaimeccsite.frontend .home .background{
	/* background: rgb(255 255 255 / 50%); */
}

.thaimeccsite.frontend .responsive{
	display: none !important;
}

.thaimeccsite.frontend .slideshow .bannerImage{
	z-index: 1;
}

.thaimeccsite.frontend .slideshow .bannerBackground{
	position: absolute;
	object-fit: cover;
}

.thaimeccsite.frontend .mobileMenu{
	position: absolute;
    background: rgb(1 54 130 / 98%);
    width: calc(100% + 14px);
    left: -2px;
	top: 28px;
    color: #fff;
	overflow-y: auto;
	max-height: calc(100vh - 100px - 33px);
}

.thaimeccsite.frontend .sticky .mobileMenu{
	max-height: calc(100vh - 33px);
}

.thaimeccsite.frontend .mobileMenu .subMenu{
	display: flex;
    font-size: .15em;
    flex-direction: column;
    border-bottom: 1px solid #00469d;
    background: rgb(255 255 255 / 10%);
}

.thaimeccsite.frontend .mobileMenu .subMenu a{
	padding: 10px 15px;
	color: unset;
    text-decoration: unset;
}

.thaimeccsite.frontend .topBar .menuBar .content .mobileMenu .menu:hover, .thaimeccsite.frontend .topBar .menuBar .content .mobileMenu .menu-dropdown:hover{
	color: #fff !important;
}

.sticky{
	position: fixed !important;
	top: 0;
	width: 100%;
}

.openDataIcon{
	padding-top: 3px;
}

.thaimeccsite.frontend .content.ql-editor iframe.ql-video{
	width: 100%;
	aspect-ratio: 16/9;
}

.ql-align-center{
	text-align: center;
}

.ql-editor .ql-align-center{
	display: flex !important;
	justify-content: center !important;
}